<div class="container">
  <h1 class="header">Overview</h1>
  <div class="overview-content">
    <div *ngIf="!isNewUser; else newUser">
        <h3 *ngIf="userDetails">Hello, {{ userDetails.display_name }}</h3>
        <a class="discover" mat-raised-button color="primary" routerLink="/user/discover">Get music recommendations</a>

        <h2>Your Top Artists - last month</h2>
        <div class="artists-container">
          <mat-grid-list [cols]="breakpoint" rowHeight="1:1" (window:resize)="onResize($event)">
            <mat-grid-tile *ngFor="let artist of topArtists.shortTerm | slice:0:8 ">
              <div class="tile" [style.backgroundImage]="'url('+ artist.images[0].url +')'">
                <div class="layer">
                  <a target="_blank" rel="noopener noreferrer" [href]="artist.external_urls.spotify">
                    <span class="tile-text">{{ artist.name }}</span>
                  </a>
                </div>
              </div>
            </mat-grid-tile>
          </mat-grid-list>
        </div>
        <a class="more-button" mat-stroked-button routerLink="/user/top-artists">See more</a>
        <h2>Your Top Tracks - last month</h2>
        <div class="tracks-container">
          <mat-grid-list [cols]="breakpoint" rowHeight="1:1" (window:resize)="onResize($event)">
              <mat-grid-tile *ngFor="let track of topTracks.shortTerm | slice:0:8">
                  <div class="tile" [style.backgroundImage]="'url('+ track.album.images[1].url +')'">
                    <div class="layer">
                      <a target="_blank" rel="noopener noreferrer" [href]="track.external_urls.spotify">
                        <div class="tile-text">
                          {{ track.name | slice:0:40 }}<span *ngIf="track.name.length>40">...</span>
                          <div class="tile-2nd-text">{{ track.artists[0].name }}</div>
                        </div>
                      </a>
                    </div>
                  </div>
                </mat-grid-tile>
          </mat-grid-list>
        </div>
        <a class="more-button" mat-stroked-button routerLink="/user/top-tracks">See more</a>
        <h2>Your Top Genres - last month</h2>
        <mat-chip-list>
          <mat-chip color="primary" *ngFor="let genre of topGenres">
            {{ genre.genre }}
          </mat-chip>
        </mat-chip-list>
    </div>

    <ng-template #newUser class="new-user-message">
      <div class="greeting-new">
        <mat-icon class="empty-page-icon">library_music</mat-icon>
        <h3 *ngIf="userDetails">Hello, {{ userDetails.display_name }}</h3>    
      </div>
      <h4>It looks like you haven't listened to any song on Spotify yet.</h4>
      <h4>Not to worry - we will help you find the perfect music for you.</h4>
      <a class="discover" mat-raised-button color="primary" routerLink="/user/discover">Get music recommendations</a>
    </ng-template>
    
  </div>
</div>
